Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javafx.newt
Class MouseEvent

    java.lang.Object
      com.sun.javafx.newt.Event
          com.sun.javafx.newt.InputEvent
              com.sun.javafx.newt.MouseEvent

    public class MouseEvent

extends InputEvent

Field Summary
`static int` | `BUTTON_NUMBER`
`static int` | `BUTTON1`
`static int` | `BUTTON2`
`static int` | `BUTTON3`
`static int` | `BUTTON4`
`static int` | `BUTTON5`
`static int` | `BUTTON6`
`static int` | `EVENT_MOUSE_CLICKED`
`static int` | `EVENT_MOUSE_DRAGGED`
`static int` | `EVENT_MOUSE_ENTERED`
`static int` | `EVENT_MOUSE_EXITED`
`static int` | `EVENT_MOUSE_MOVED`
`static int` | `EVENT_MOUSE_PRESSED`
`static int` | `EVENT_MOUSE_RELEASED`
`static int` | `EVENT_MOUSE_WHEEL_MOVED`

Fields inherited from class com.sun.javafx.newt.InputEvent
`ALT_GRAPH_MASK, ALT_MASK, BUTTON1_MASK, BUTTON2_MASK, BUTTON3_MASK, CTRL_MASK, META_MASK, SHIFT_MASK`

Constructor Summary
`protected` | `MouseEvent(boolean sysEvent, int eventType, Window source, long when, int modifiers, int x, int y, int clickCount, int button, int rotation)`
`` | `MouseEvent(int eventType, Window source, long when, int modifiers, int x, int y, int clickCount, int button, int rotation)`

Method Summary
`int` | `getButton()`
`int` | `getClickCount()`
`static String` | `getEventTypeString(int type)`
`int` | `getWheelRotation()`
`int` | `getX()`
`int` | `getY()`
`String` | `toString()`

Methods inherited from class com.sun.javafx.newt.InputEvent
`consume, getModifiers, isAltDown, isAltGraphDown, isButton1Down, isButton2Down, isButton3Down, isConsumed, isControlDown, isMetaDown, isShiftDown`

Methods inherited from class com.sun.javafx.newt.Event
`getEventType, getSource, getWhen, isSystemEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BUTTON1

    public static final int BUTTON1

See Also:
  Constant Field Values

### BUTTON2

    public static final int BUTTON2

See Also:
  Constant Field Values

### BUTTON3

    public static final int BUTTON3

See Also:
  Constant Field Values

### BUTTON4

    public static final int BUTTON4

See Also:
  Constant Field Values

### BUTTON5

    public static final int BUTTON5

See Also:
  Constant Field Values

### BUTTON6

    public static final int BUTTON6

See Also:
  Constant Field Values

### BUTTON_NUMBER

    public static final int BUTTON_NUMBER

See Also:
  Constant Field Values

### EVENT_MOUSE_CLICKED

    public static final int EVENT_MOUSE_CLICKED

See Also:
  Constant Field Values

### EVENT_MOUSE_ENTERED

    public static final int EVENT_MOUSE_ENTERED

See Also:
  Constant Field Values

### EVENT_MOUSE_EXITED

    public static final int EVENT_MOUSE_EXITED

See Also:
  Constant Field Values

### EVENT_MOUSE_PRESSED

    public static final int EVENT_MOUSE_PRESSED

See Also:
  Constant Field Values

### EVENT_MOUSE_RELEASED

    public static final int EVENT_MOUSE_RELEASED

See Also:
  Constant Field Values

### EVENT_MOUSE_MOVED

    public static final int EVENT_MOUSE_MOVED

See Also:
  Constant Field Values

### EVENT_MOUSE_DRAGGED

    public static final int EVENT_MOUSE_DRAGGED

See Also:
  Constant Field Values

### EVENT_MOUSE_WHEEL_MOVED

    public static final int EVENT_MOUSE_WHEEL_MOVED

See Also:
  Constant Field Values

Constructor Detail

### MouseEvent

    protected MouseEvent(boolean sysEvent,
                         int eventType,
                         Window source,
                         long when,
                         int modifiers,
                         int x,
                         int y,
                         int clickCount,
                         int button,
                         int rotation)

### MouseEvent

    public MouseEvent(int eventType,
                      Window source,
                      long when,
                      int modifiers,
                      int x,
                      int y,
                      int clickCount,
                      int button,
                      int rotation)

Method Detail

### getButton

    public int getButton()

### getClickCount

    public int getClickCount()

### getX

    public int getX()

### getY

    public int getY()

### getWheelRotation

    public int getWheelRotation()

### toString

    public String toString()

  Overrides:
    `toString` in class `InputEvent`

### getEventTypeString

    public static String getEventTypeString(int type)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.